import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getMockPipe } from '@shared/pipes/pipe.mock';

import { RegistrationButtonComponent } from './registration-button.component';
import { RegistrationLogic } from './registration.logic';

describe('RegistrationButtonComponent', () => {
    let component: RegistrationButtonComponent;
    let fixture: ComponentFixture<RegistrationButtonComponent>;
    let registration: RegistrationLogic;

    beforeEach(async () => {
        registration = {} as any;
        await TestBed.configureTestingModule({
            declarations: [
                RegistrationButtonComponent,
                getMockPipe('translate'),
            ],
            providers: [
                {
                    provide: RegistrationLogic,
                    useFactory: () => registration,
                },
            ],
        }).compileComponents();
    });

    beforeEach(() => {
        fixture = TestBed.createComponent(RegistrationButtonComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
